Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# TeamBallLocatorInterfaces Class Reference

The interfaces of the TeamBallLocator module. More...

`#include <TeamBallLocator.h>`

Inheritance diagram for TeamBallLocatorInterfaces:

[legend]
Collaboration diagram for TeamBallLocatorInterfaces:

[legend]
List of all members.

## Public Member Functions
| TeamBallLocatorInterfaces (const SeenBallState &seenBallState, const OdometryData &odometryData, const RobotPose &robotPose, const TeamMessageCollection &teamMessageCollection, const RobotPoseCollection &robotPoseCollection, CommunicatedBallState &communicatedBallState, GT2005ParticleContainer &ballLocatorSamples, GameControlData &gameControlData, const BallPercept &ballPercept, const CameraMatrix &cameraMatrix, const ObstaclesModel &obstaclesModel)
| Constructor.
## Public Attributes
const SeenBallState & | seenBallState
| The position of the seen ball.
const OdometryData & | odometryData
| The odometry data provided by the motion modules.
const RobotPose & | robotPose
| The robots position that was calculated last.
const TeamMessageCollection & | teamMessageCollection
| Incoming team messages from other robots.
const RobotPoseCollection & | robotPoseCollection
| the collection of candidate robot poses
CommunicatedBallState & | communicatedBallState
| The communicated ball position to be calculated by the module.
GT2005ParticleContainer & | ballLocatorSamples
| The samples of the ball locator.
GameControlData & | gameControlData
| The GameControlData (to know if the robot is penalized for example).
const BallPercept & | ballPercept
| The ball percept of the image processor.
const CameraMatrix & | cameraMatrix
| The offset and the rotation of the camera.
const ObstaclesModel & | obstaclesModel
| The obstacles model.

## Detailed Description

The interfaces of the TeamBallLocator module.

Definition at line 31 of file TeamBallLocator.h.

## Constructor & Destructor Documentation

TeamBallLocatorInterfaces::TeamBallLocatorInterfaces | ( | const SeenBallState & | seenBallState,
|  | const OdometryData & | odometryData,
|  | const RobotPose & | robotPose,
|  | const TeamMessageCollection & | teamMessageCollection,
|  | const RobotPoseCollection & | robotPoseCollection,
|  | CommunicatedBallState & | communicatedBallState,
|  | GT2005ParticleContainer & | ballLocatorSamples,
|  | GameControlData & | gameControlData,
|  | const BallPercept & | ballPercept,
|  | const CameraMatrix & | cameraMatrix,
|  | const ObstaclesModel & | obstaclesModel
| ) | `[inline]`

| Constructor. Definition at line 35 of file TeamBallLocator.h.

## Member Data Documentation

const SeenBallState& TeamBallLocatorInterfaces::seenBallState

| The position of the seen ball. Definition at line 62 of file TeamBallLocator.h.

const OdometryData& TeamBallLocatorInterfaces::odometryData

| The odometry data provided by the motion modules. Definition at line 65 of file TeamBallLocator.h.

const RobotPose& TeamBallLocatorInterfaces::robotPose

| The robots position that was calculated last. Definition at line 68 of file TeamBallLocator.h.

const TeamMessageCollection& TeamBallLocatorInterfaces::teamMessageCollection

| Incoming team messages from other robots. Definition at line 71 of file TeamBallLocator.h.

const RobotPoseCollection& TeamBallLocatorInterfaces::robotPoseCollection

| the collection of candidate robot poses Definition at line 74 of file TeamBallLocator.h.

CommunicatedBallState& TeamBallLocatorInterfaces::communicatedBallState

| The communicated ball position to be calculated by the module. Definition at line 77 of file TeamBallLocator.h.

GT2005ParticleContainer& TeamBallLocatorInterfaces::ballLocatorSamples

| The samples of the ball locator. Definition at line 80 of file TeamBallLocator.h.

GameControlData& TeamBallLocatorInterfaces::gameControlData

| The GameControlData (to know if the robot is penalized for example). Definition at line 83 of file TeamBallLocator.h.

const BallPercept& TeamBallLocatorInterfaces::ballPercept

| The ball percept of the image processor. Definition at line 86 of file TeamBallLocator.h.

const CameraMatrix& TeamBallLocatorInterfaces::cameraMatrix

| The offset and the rotation of the camera. Definition at line 89 of file TeamBallLocator.h.

const ObstaclesModel& TeamBallLocatorInterfaces::obstaclesModel

| The obstacles model. Definition at line 92 of file TeamBallLocator.h.

The documentation for this class was generated from the following file:

- Modules/TeamBallLocator/TeamBallLocator.h